Host Graphics Manager Get Shared Gpu Capabilities

Host Graphics Manager Get Shared Gpu Capabilities
Array of shared passthru GPU capabilities.

Array of shared passthru GPU capabilities.

See also HostSharedGpuCapabilities.

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/sharedGpuCapabilities
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostGraphicsManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "vgpu": "string",
        "diskSnapshotSupported": false,
        "memorySnapshotSupported": false,
        "suspendSupported": false,
        "migrateSupported": false
    }
]
array of object
Optional

Capability vector indicating the available shared graphics features.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/sharedGpuCapabilities